Package org.silverpeas.components.gallery.media

## Class AbstractMediaMetadataExtractor

- java.lang.Object
- - org.silverpeas.components.gallery.media.AbstractMediaMetadataExtractor

- All Implemented Interfaces:
    `MediaMetadataExtractor`
  Direct Known Subclasses:
    `DrewMediaMetadataExtractor`

      public abstract class AbstractMediaMetadataExtractor
      extends Object
      implements MediaMetadataExtractor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<IptcProperty>` | `imageIptcProperties` |
    `protected List<ExifProperty>` | `imageProperties` |
    `protected Map<String,​org.silverpeas.core.util.LocalizationBundle>` | `metaDataBundles` |
    `protected org.silverpeas.core.util.SettingBundle` | `settings` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractMediaMetadataExtractor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<IptcProperty>` | `defineImageIptcProperties​(Iterable<String> propertyNames)` |
    `List<ExifProperty>` | `defineImageProperties​(Iterable<String> propertyNames)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.components.gallery.media.MediaMetadataExtractor

      `extractImageExifMetaData, extractImageExifMetaData, extractImageIptcMetaData, extractImageIptcMetaData`

- - ### Field Detail

    - #### settings

          protected org.silverpeas.core.util.SettingBundle settings

    - #### metaDataBundles

          protected Map<String,​org.silverpeas.core.util.LocalizationBundle> metaDataBundles

    - #### imageProperties

          protected List<ExifProperty> imageProperties

    - #### imageIptcProperties

          protected List<IptcProperty> imageIptcProperties

  - ### Constructor Detail

    - #### AbstractMediaMetadataExtractor

          public AbstractMediaMetadataExtractor()

  - ### Method Detail

    - #### defineImageProperties

          public final List<ExifProperty> defineImageProperties​(Iterable<String> propertyNames)

      Specified by:
        `defineImageProperties` in interface `MediaMetadataExtractor`

    - #### defineImageIptcProperties

          public final List<IptcProperty> defineImageIptcProperties​(Iterable<String> propertyNames)

      Specified by:
        `defineImageIptcProperties` in interface `MediaMetadataExtractor`